---
title: "Simulate a Card Transaction Adjustment - EEA"
source_url: https://docs.rapyd.net/en/simulate-a-card-transaction-adjustment---eea.html
lang: en
---

# Simulate a Card Transaction Adjustment - EEA

Use this method in the sandbox to simulate an adjustment to a card transaction. A retail location can adjust the amount of a transaction made by an issued card. The adjustment is either a credit or a debit. This method triggers [Card Issuing Adjustment Webhook](https://docs.rapyd.net/en/card-issuing-adjustment-webhook.md "Card Issuing Adjustment Webhook"). This method updates the **available balance** of the wallet with the credit or deduction. See [Wallet Balance Types](https://docs.rapyd.net/en/wallet-balance-types.md "Wallet Balance Types"). This method applies to cards issued in the European Economic Area (EEA).

**Prerequisites:**

- [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card")
- [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
- [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA")

### Parameters

### Request Body Parameters

- - amount
  - The amount of the adjustment, in units of the currency defined in `currency`. Decimal.
- - authorization_id
  - ID of the authorization. String starting with **cardauth_**. Use the value of `id` in the response to [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA").
- - card_id
  - ID of the card. String starting with **card_**.
- - currency
  - The adjustment currency. Three-letter ISO 4217 code.
- - financial_impact
  - Indicates the financial impact of the adjustment. One of the following: **credit**, **debit**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the transaction, in units defined in `currency`.
- - auth_response
  - Response related to an authorization. Contains the following fields:

    - - code
      - Indicates success or reason for failure.
    - - message
      - Descriptive text.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_transaction_id
  - ID of the transaction. String starting with **cit_**.
- - currency_code
  - Currency of the transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the authorization. String starting with **cardauth_**.
- - is_remote_auth
  - Indicates whether remote authorization is enabled.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_identification_code
  - Reserved.
- - merchant_name_location
  - Name and location of the merchant. Maximum 40 characters.

    TEST MERCHANT
- - remote_auth_endpoint
  - The URL where the remote authorization is sent.
- - remote_auth_response
  - Response to a successful remote authorization request. Contains the following fields:

    - - authorization_id
      - ID of the authorization. String starting with **cardauth_**.
    - - response_code
      - Code returned by the client in the response to the remote authorization.
    - - auth_code
      - Authorization code returned by the client in the response to the remote authorization.
- - transaction_amount
  - Amount debited from the Rapyd Wallet. Decimal, including the correct number of decimal places for the currency exponent, as defined in ISO 2417:2015.
- - transaction_currency_code
  - Original transaction currency, if different from the currency credited to the Rapyd Wallet. Three-letter ISO 4217 code.
- - txn_type
  - Type of transaction. One of the following values:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**

- /v1/issuing/cards/adjustment

- Card Transaction Adjustment - Credit
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/adjustment
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "amount": 2,
    "currency": "USD",
    "authorization_id": "cardauth_2acf298ae9e27a2596569db1e0c53a14",
    "financial_impact": "credit"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "e82e2b7b-2554-4395-8b6c-cebe937786ad"
      },
      "data": {
          "id": "cardauth_5099979e9032bf4e423fdeb353e9b7f3",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_4385eb56bf4e6b97b2f29376499f7881",
          "amount": 2,
          "currency_code": "USD",
          "txn_type": "ADJUSTMENT",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 2,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```

- Card Transaction Adjustment - Debit
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/adjustment
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "amount": 2,
    "currency": "USD",
    "authorization_id": "cardauth_2acf298ae9e27a2596569db1e0c53a14",
    "financial_impact": "debit"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "f93c1a5a-1445-4824-9c5b-bfcd687739da"
      },
      "data": {
          "id": "cardauth_9799905b3209fb4f324dfbe242b8d8e2",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_bb48be88fb5f7a79e1e99467392b8718",
          "amount": 2,
          "currency_code": "USD",
          "txn_type": "ADJUSTMENT",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 2,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```
